#!/usr/bin/env python
#
# $Id: cvsversion.py,v 1.3 2000/09/03 22:38:23 doughellmann Exp $
#
# Time-stamp: <00/09/03 16:31:07 dhellmann>
#
# Copyright ZapMedia.com.
#

"""Get the CVS version information based on the $Name: r0_7_1 $ token.

"""

__rcs_info__ = {
    #
    #  Creation Information
    #
    'module_name'  : '$RCSfile: cvsversion.py,v $',
    'rcs_id'       : '$Id: cvsversion.py,v 1.3 2000/09/03 22:38:23 doughellmann Exp $',
    'creator'      : 'Doug Hellmann <Doug.Hellmann@ZapMedia.com>',
    'project'      : 'ZapMedia.com',
    'created'      : 'Sun, 03-Sep-2000 14:33:41 EDT',

    #
    #  Current Information
    #
    'author'       : '$Author: doughellmann $',
    'version'      : '$Revision: 1.3 $',
    'date'         : '$Date: 2000/09/03 22:38:23 $',
}

#
# Import system modules
#
import string

#
# Import Local modules
#


#
# Module
#

def cvs_product_version():
    cvs_version_string='$Name: r0_7_1 $'
    cvs_version_parts=string.split(cvs_version_string)
    if len(cvs_version_parts) >= 3:
        app_version = string.strip(cvs_version_parts[1])
    else:
        app_version = 'WORKING'
    return app_version

if __name__ == '__main__':
    print cvs_product_version()
    
